# 32/64bit spec
#
%define name simutrans
%define version 120.0.1
%define release %mkrel 1

Summary:   Simutrans transportation simulation game 
Summary(de): Simutrans Transportsimulation
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   Artistic
Group:     Games/Strategy
Source0:   %{name}-%{version}.tar.xz
Source1:   pak64.tar.xz
URL:       http://www.simutrans.com/index.html
#-----------------------------------
BuildRequires: desktop-file-utils
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: zlib1-devel
#----------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Simutrans is a freeware and open-source transportation simulation game. 

In Simutrans you can build the transport networks you always dreamed of, 
with platforms, quays, level crossings, signals and much more. Transport 
passengers between nearby cities with a commuter train or use a high speed 
train to earn big money by connecting cities further apart.

You can choose from a large amount of trains including steam, diesel and 
electric engines, along with multiple units - each with a different properties.
Fleet of ships and ferries, buses, trams, trolley buses, trucks, and planes 
are at your daily disposal. More exotic ways of transport include monorails and 
maglevs. 

%description -l de
Simutrans ist ein freies und OpenSource Transportsimulationsspiel.

In Simutrans können Sie Transportnetzwerke bauen, von denen Sie schon immer 
geträumt haben, mit Plattformen, Kais, Bahnübergängen, Signalen und vielem
mehr. Transportieren Sie Passagiere zwischen benachbarten Städten mit einer
S-Bahn oder mit einem Hochgeschwindigkeitszug um viel Geld mit den Verbindungen
zu weiter entfernten Städten einzunehmen.

Sie können aus einer Vielzahl von Zügen wählen, einschließlich Dampf, Diesel 
und Elektromotoren, zusammen mit vielen Anhängern - jeder mit einer anderen 
Eigenschaft. Flotten von Schiffen und Fähren, Bussen, Trams, Transportbussen,
LKW und Flugzeugen stehen Ihnen täglich zur Verfügung. Exotischere 
Transportmittel sind Einschienenbahnen und Magnetschwebebahnen.

%prep
%setup -q -n %{name}-%{version}

%build
%make BACKEND=sdl OSTYPE=linux COLOUR_DEPTH=16


%install
rm -rf $RPM_BUILD_ROOT

# the make file does not provide a install section so we have to do it
# manually
# installation location is now %{_gamesdatadir} not %{_gamesbindir} like before

# install data
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
cp -af %{name}/config %{name}/font %{name}/music %{name}/themes %{name}/text %{buildroot}%{_gamesdatadir}/%{name}

# pak files are now distributed undependent from source
# default pak theme is Source1
tar -Jxf %{SOURCE1}
pushd pak64
cp -af pak %{buildroot}%{_gamesdatadir}/%{name}
popd

# stupid behavior everything needs exec flag
chmod -R 755 %{buildroot}%{_gamesdatadir}/%{name}

# install binary
install -m 755 build/default/sim %{buildroot}%{_gamesdatadir}/%{name}

# create starter in %{_gamesbindir}
mkdir -p %buildroot%{_gamesbindir}
cat > %buildroot%{_gamesbindir}/%{name} << EOF
#!/bin/sh
cd %{_gamesdatadir}/%{name}
exec ./sim $@
EOF

chmod +x %{buildroot}%{_gamesbindir}/%{name}

# icon
convert %{name}.ico %{name}.png
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m  644 %{name}.png %{buildroot}%{_datadir}/pixmaps

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=Simutrans
Comment=Transportation simulation game
Comment[de]=Transportsimulation
Exec=%{name}
Icon=%{name}
Categories=Game;X-MandrivaLinux-MoreApplications-Games-Strategy;
EOF


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%{_gamesbindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Dec 12 2014 ghostbunny <ghostbunny at gmx dot de> 120.0.1-1pclos2014
- 120.0.1

* Sat Dec 21 2013 ghostbunny <ghostbunny at gmx dot de> 112.3-1pclos2013
- 112.3

* Thu Feb 21 2013 ghostbunny <ghostbunny at gmx dot de> 112.1-1pclos2013
- 112.1
- switched from packaging binary release to build from source
- added BRs for build from source
- added xz compression
- renamed spec to pclos-simutrans.spec
- removed old Source1 (icon, there is a new on in source)
- added new source1 default pak set
- place now all program related files in gamesdatadir not in gamesbindir
- install location for the start wrapper now gamesbindir not bindir
- fixed Synaptic section (it is not really a adventure game)
- added german summary, description and comment in desktop file

* Thu Sep 10 2009 slick50 <lxgator@gmail.com> 102.0-1pclos2009
- initial pkg

